This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 471348 - Macbook Pro keyboard light turn on automatically every log on
Macbook Pro keyboard light turn on automatically every log on
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
12
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 00:56 EST by younker
Modified: 2010-12-05 02:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:06:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description younker 2008-11-13 00:56:04 EST
Description of problem:
With the latest update of rawhide, the problem still exists. 
Evey time I logged on Fedora on my macbook pro 2,2, the keyboard light is turned on, I need to press Fn+F8 to turn off every time.

During plymouth load, the backlight of keyboard is turned off, then gdm turns it on, I can press Fn+F8 to turn it off, but when gnome starts, it is turned on again. 

After logged in, I checked the modules that loaded, but applesmc is not loaded, so I don't know why the keyboard light and LCD light control works. 

Maybe it is a problem of gnome-power-manager?

Version-Release number of selected component (if applicable):


How reproducible:
Every time logged on to system.

Steps to Reproduce:
1.Turn on Macbook pro and Enter to Linux System
2.After plymouth loaded, gdm turns on keyboard backlight.
3.if turn it off by press Fn+F8 on GDM chooser screen, gnome will turns it on again.
  
Actual results:


Expected results:
Should not turn on the backlight if the brightness of environment is ok.

Additional info:

If you need any information please let me know.
Comment 1 Richard Hughes 2008-11-13 10:20:51 EST
I've not got a macbook, so I can't really debug this. What do you expect to happen?
Comment 2 younker 2008-11-14 03:31:33 EST
I just don't want the keyboard backlight to be turned on when logged in since the environment brightness is good enough.

but I am also curious, why the keyboard backlight can be turned on even applesmc modules not loaded.
Comment 3 younker 2008-11-18 21:34:36 EST
I had some new findings, sometimes the keyboard backlight will be on even I reboot to Mac OS, and I can not turn off in Mac OS Leopard, this is very strange, I think that the Linux Kernel has changed the status of the keyboard backlight didn't use applesmc.

to make the keyboard backlight works again on Leopard, you must shutdown computer then restart it.
Comment 4 Bug Zapper 2008-11-26 00:17:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Richard Hughes 2009-04-15 11:57:35 EDT
Does this still happen with the version in fedora rawhide, or the version of the Fedora 11 beta live cd?
Comment 6 Bill McGonigle 2009-05-22 20:50:18 EDT
Still a problem on current f11 rawhide.  My kernel is 2.6.29.3-155.fc11.i586.

Under MacOS there's an ambient light sensor that is used to turn the keyboard on and off.  It's under a little speaker grill - you can hold your hand over the speaker and the keyboard light will turn on.

I'll have this computer for a few more weeks if there's something I can test.
Comment 7 Bug Zapper 2009-11-16 04:36:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-11-04 07:42:07 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-05 02:06:18 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.